<!-- --COPYRIGHT--,BSD
 *  Copyright (c) 2012, Texas Instruments Incorporated
 *  All rights reserved.
 * 
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 * 
 *  *  Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 * 
 *  *  Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 
 *  *  Neither the name of Texas Instruments Incorporated nor the names of
 *     its contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 *  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 *  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT-- -->
<!DOCTYPE html>
<html>
	<head data-gc-version="1.0.0001">
		<meta charset="utf-8"/>
		<title>Untitled</title>
		<style>
			@import "lib/dojo/dijit/themes/claro/claro.css";
			@import "lib/dojo/dojo/resources/dojo.css";
			@import "lib/gc/dijit/libs/css/zdialog/zebra_dialog.css";
			@import "lib/gc/dijit/libs/css/ui-lightness/jquery-ui.css";
			@import "lib/gc/dijit/libs/css/jquery.jqplot.css";

			#Content {
				position:absolute;
				width:680px;
				height:530px;
				top:2px;
				left:261px;
				border-width:1px;
			} 

		</style>

		<style type="text/css">
			body {background-image:url('images/Settings_BLDC_Background.PNG');}
		</style>
		
		<script type="text/javascript" src="maqetta/maqetta.js"></script>
		<script type="text/javascript" data-dojo-config="'async':true,'parseOnLoad':true,'packages':[{'name':'gc','location':'../../gc'}]" src="lib/dojo/dojo/dojo.js"></script>
		<script type="text/javascript" src="lib/gc/backplane/guiComposer.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/steelseries.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/tween.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/jquery.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/jquery-ui.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/jquery.jqplot.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/plugins/jqplot.cursor.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/plugins/jqplot.canvasTextRenderer.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/plugins/jqplot.canvasAxisTickRenderer.min.js"></script>
		<script type="text/javascript" src="lib/gc/dijit/libs/plugins/jqplot.canvasAxisLabelRenderer.min.js"></script>
		<script type="text/javascript" src="maqetta/States.js"></script>
		<script type="text/javascript">
			require(["dijit/dijit"]);
			require(["dojo/parser"]);
			require(["gc/dijit/TabContainer"]);
			require(["gc/dijit/ContentPane"]);
			require(["gc/dijit/NumberSpinner"]);
			require(["gc/dijit/CheckBox"]);
			require(["gc/dijit/Label"]);
			require(["gc/dijit/ComboBox"]);
			require(["gc/dijit/DigitalMeter"]);
			require(["gc/dijit/TextBox"]);
			require(["gc/dijit/Image"]);
			require(["gc/dijit/LineGraph"]);
			require(["gc/dijit/ScalarLineGraph"]);
			require(["gc/dijit/Dial"]);
			require(["gc/dijit/HorizontalSlider"]);
			require(["gc/dijit/HorizontalRule"]);
			require(["gc/dijit/HorizontalRuleLabels"]);
			require(["gc/dijit/VerticalSlider"]);
			require(["gc/dijit/VerticalRule"]);
			require(["gc/dijit/VerticalRuleLabels"]);
			require(["gc/dijit/ValueButton"]);
			require(["gc/dijit/Select"]);
		</script>
		
		<script type="text/javascript">
			
			
			var $ConversionHelpers = 
			{
				divideBy10ForVDCBus: function (oldValue)
				{
					return oldValue / 100;
				},
				
				scaleValueDown: function (oldValue)
				{
					return oldValue / 1000000;
				},
				convertFromQ24: function (oldValue)
				{
					return Math.round(oldValue*(Math.pow(2,24))); 
				},
				
				convertToQ24: function (oldValue)
				{
					return oldValue/(Math.pow(2,24));
				},

				convertFromFluxThreshold: function (oldValue)
				{
					return Math.round((oldValue*60774608)/3.62); 
				},
				convertToFluxThreshold: function (oldValue)
				{
					return ((oldValue*3.62)/60774608);
				}


			}
		</script>
	</head>

	<body class="claro" dvFlowLayout="false" data-davinci-ws="collapse" id="myapp">
					

		<input id="enable_motor_checkbox" type="checkbox" data-dojo-type="gc.dijit.CheckBox" style="z-index: 9999; position: absolute; left: 115px; top: 569px;"></input>
		<input id="enable_TPS_checkbox" type="checkbox" data-dojo-type="gc.dijit.CheckBox" style="z-index: 9999; position: absolute; left: 33px; top: 569px;"></input>
		<select id="control_mode_combobox" data-dojo-type="gc.dijit.Select" style="z-index: 9999; position: absolute; left: 170px; top: 564px; width: 93px;">
			<option value="0" selected="selected">Duty Cycle</option>
			<option value="1"                    >Current</option>
			<option value="2"                    >Velocity</option>
			<option value="3"                    >Cascade</option>
		</select>




		<button id="reset_fault_status_button" style="z-index: 9999; position: absolute; left: 366px; top: 560px;" data-dojo-type="gc.dijit.ValueButton" data-dojo-props="label:'Reset Fault', value: 1"></button>		

		<img id="reset_fault_status_image" data-dojo-type="gc.dijit.Image" data-dojo-props="images:['images/Green_icon.PNG','images/Red_icon.PNG','images/Yellow_icon.PNG'], displayStatus:'HideWidget'" style="z-index: 9999; position: absolute; left: 303px; top: 561px;"/> 
		<canvas id="dc_bus_meter" data-dojo-type="gc.dijit.DigitalMeter" style="z-index: 9999; position: absolute; left: 522px; top: 548px;" data-dojo-props="titleString: 'DC Bus', minValue: 0,maxValue: 63, width : 171, height : 31,maxNoOfMajorTicks: 7,maxNoOfMinorTicks:1,"></canvas>
		
		<textarea type="text" id="dc_bus_voltage_number" data-dojo-type="gc.dijit.TextBox" style="height: 20px; z-index: 9999; position: absolute; left: 600px; top: 578px; width: 37px; background-color:transparent; border-width:0px;"></textarea> 
		
		<img id="dc_bus_status_image" data-dojo-type="gc.dijit.Image" data-dojo-props="images:['images/Green_icon.PNG','images/Red_icon.PNG','images/Yellow_icon.PNG'], displayStatus:'HideWidget'" style="z-index: 9999; position: absolute; left: 708px; top: 555px;"/>
		<img id="over_temp_status_image" data-dojo-type="gc.dijit.Image" data-dojo-props="images:['images/Green_icon.PNG','images/Red_icon.PNG','images/Yellow_icon.PNG'], displayStatus:'HideWidget'" style="z-index: 9999; position: absolute; left: 859px; top: 555px;"/>



					
		<div id="startup_duty_cycle" data-dojo-type="gc.dijit.VerticalSlider" style="z-index: 9999; position: absolute; left: 35px; top: 60px; height: 180px;" maximum="0.30">
			<ol id="labels_for_StartupDutyCycle" data-dojo-type="dijit.form.VerticalRuleLabels" container="leftDecoration" style="z-index: 9999; width: 20px;height: 125px;" count="6" maximum="0.30">
				<li><font color="white">0.00</font></li>
				<li><font color="white">0.06</font></li>
				<li><font color="white">0.12</font></li>
				<li><font color="white">0.18</font></li>
				<li><font color="white">0.24</font></li>
				<li><font color="white">0.30</font></li>
			</ol> 
			<div id="widget_1698" data-dojo-type="gc.dijit.VerticalRule" container="rightDecoration" style="z-index: 9999; width: 5px; height: 125px;" count="6"></div>
		</div>

		<label id="spinner_for_StartupDutyCycle" data-dojo-type="dijit.form.NumberSpinner" smallDelta="0.01" constraints="{min:0.0,max:0.3,places:2}" name="Gui.StartupDuty Cycle" style="z-index: 9999; position: absolute; left: 31px; top: 243px;width: 56px;"></label>  
					
		<div id="startup_ramp_time" data-dojo-type="gc.dijit.VerticalSlider" style="z-index: 9999; position: absolute; left: 113px; top: 60px; height: 180px;" maximum="1000">
												
			<ol id="Labels_for_StartupRampTime" data-dojo-type="gc.dijit.VerticalRuleLabels" maximum="0.30" container="leftDecoration" style="z-index: 9999; width: 20px; height: 125px;" count="11" >
				<li><font color="white">0</font></li>
				<li><font color="white">100</font></li>
				<li><font color="white">200</font></li>
				<li><font color="white">300</font></li>
				<li><font color="white">400</font></li>
				<li><font color="white">500</font></li>
				<li><font color="white">600</font></li>
				<li><font color="white">700</font></li>
				<li><font color="white">800</font></li>
				<li><font color="white">900</font></li>
			</ol>
			<div id="widget_1354" data-dojo-type="gc.dijit.VerticalRule" container="rightDecoration" style="z-index: 9999; width: 5px; height: 125px;" count="10"></div>
 		</div>


		<label id="spinner_for_StartupRampTime" data-dojo-type="dijit.form.NumberSpinner" smallDelta="1" constraints="{min:0,max:1000}" name="Gui.StartupRampTime" style="z-index: 9999; position: absolute; left: 113px; top: 243px;width: 56px;"></label>  										
		<input id="ramp_start_speed" data-dojo-type="gc.dijit.TextBox" style="z-index: 9999;position: absolute; left: 41px; top: 284px; width: 6.2em; height: 1.5em;"></input>								
		<input id="ramp_end_speed" data-dojo-type="gc.dijit.TextBox" style="z-index: 9999; position: absolute; left: 41px; top: 325px; width: 6.2em; height: 1.5em;"></input>
						
		<input id="advanced_startup_options_enable" type="checkbox" data-dojo-type="gc.dijit.CheckBox" style="z-index: 9999; position: absolute; left: 36px; top: 377px;"></input>					
			
		<label id="spinner_for_AcceptableCommutationError" data-dojo-type="dijit.form.NumberSpinner" smallDelta="0.05" constraints="{min:0,max:100}" name="Gui.StartupRampTime" style="z-index: 9999; position: absolute; left: 67px; top: 435px;width: 64px;"></label> 


		<label id="spinner_for_RequiredConsecutiveCommutations" data-dojo-type="dijit.form.NumberSpinner" smallDelta="1" constraints="{min:2,max:100}" name="Gui.StartupRampTime" style="z-index: 9999; position: absolute; left: 67px; top: 501px;width: 64px;"></label>  

		<canvas id="dial_current_loop_kp" data-dojo-type="gc.dijit.Dial" 
			data-dojo-props="
			minValue: 0.00,
			maxValue: 5.00,
			labels: 0,
			value: 0,
			animate: false,
			size:124,labelNumberFormat: {format: 'fractional'},fractionalScaleDecimals : 2,"
			style="z-index: 9999; position: absolute; left: 257px; top: 70px;">
		</canvas>




		<label id="spinner_for_CurrentLoop_Kp" data-dojo-type="dijit.form.NumberSpinner" smallDelta="0.01" constraints="{min:0.00,max:5.00}" name="Gui.StartupRampTime" style="z-index: 9999; position: absolute; left: 291px; top: 200px;width: 56px;"></label> 

		<canvas id="dial_current_loop_ki" data-dojo-type="gc.dijit.Dial" 
			data-dojo-props="
			minValue: 0,
			maxValue: 2000,
			labels: 0,
			value: 0,
			animate: false,
			size:124,labelNumberFormat: {format: 'fractional'},fractionalScaleDecimals : 0,"
			style="z-index: 9999; position: absolute; left: 257px; top: 271px;">
		</canvas>

		<label id="spinner_for_CurrentLoop_Ki" data-dojo-type="dijit.form.NumberSpinner" smallDelta="1" constraints="{min:0.00,max:2000.00}" name="Gui.StartupRampTime" style="z-index: 9999; position: absolute; left: 291px; top: 404px;width: 56px;"></label>

		<div id="slider_startup_current" data-dojo-type="gc.dijit.HorizontalSlider" style="z-index: 999; position: absolute; left: 214px; top: 473px; width: 211px;" maximum="1.00"></div>

		<label id="spinner_for_StartupCurrent" data-dojo-type="dijit.form.NumberSpinner" smallDelta="0.01" constraints="{min:0.00,max:1.00}" name="Gui.StartupRampTime" style="z-index: 9999; position: absolute; left: 290px; top: 498px;width: 56px;"></label>  



		<canvas id="dial_velocity_loop_kp" data-dojo-type="gc.dijit.Dial" 
			data-dojo-props="
			minValue: 0.00,
			maxValue: 5.00,
			labels: 0,
			value: 0,
			animate: false,
			size:124,labelNumberFormat: {format: 'fractional'},fractionalScaleDecimals : 2,"
			style="z-index: 9999; position: absolute; left: 524px; top: 70px;">
		</canvas>

		<label id="spinner_for_VelocityLoop_Kp" data-dojo-type="dijit.form.NumberSpinner" smallDelta="0.01" constraints="{min:0.00,max:5.00}" name="Gui.StartupRampTime" style="z-index: 9999; position: absolute; left: 555px; top: 195px;width: 56px;"></label>


		<canvas id="dial_velocity_loop_ki" data-dojo-type="gc.dijit.Dial" 
			data-dojo-props="
			minValue: 0,
			maxValue: 2000,
			labels: 0,
			value: 0,
			animate: false,
			size:124,labelNumberFormat: {format: 'fractional'},fractionalScaleDecimals : 0,"
			style="z-index: 9999; position: absolute; left: 524px; top: 271px;">
		</canvas>

		<label id="spinner_for_VelocityLoop_Ki" data-dojo-type="dijit.form.NumberSpinner" smallDelta="1" constraints="{min:0.00,max:2000.00}" name="Gui.StartupRampTime" style="z-index: 9999; position: absolute; left: 555px; top: 404px;width: 65px;"></label>



		<div id="slider_velocity_loop" data-dojo-type="gc.dijit.HorizontalSlider" style="z-index: 9999; position: absolute; left: 480px; top: 473px; width: 211px;" maximum="1.00"></div>

		
		<label id="spinner_for_VelocityLoop" data-dojo-type="dijit.form.NumberSpinner" smallDelta="0.01" constraints="{min:0.00,max:1.00}" name="Gui.StartupRampTime" style="z-index: 9999; position: absolute; left: 555px; top: 498px;width: 56px;"></label> 

	

		<select id="combo_pole_count" data-dojo-type="gc.dijit.Select" style="z-index: 9999; position: absolute; left: 779px; top: 247px; width: 75px;">
			<option value="4" selected="selected">
			4 Poles</option>
			<option value="6">
			6 Poles</option>
			<option value="8">
			8 Poles</option>
			<option value="12">
			12 Poles</option>
			<option value="16">
			16 Poles</option>
			<option value="18">
			18 Poles</option>
			<option value="20">
			20 Poles</option>
			<option value="24">
			24 Poles</option>
			<option value="36">
			36 Poles</option>
			<option value="48">
			48 Poles</option>
		</select>
	
		<input id="base_elec_frequency" data-dojo-type="gc.dijit.TextBox" style="z-index: 999; position: absolute; left: 779px; top: 302px; width: 7.9em;height: 1.5em;"></input>



		<!-- <input id="min_voltage" data-dojo-type="gc.dijit.TextBox" style="z-index: 999; position: absolute; left: 779px;  top: 333px; width: 5em;height: 1.5em;"></input> -->
		<!-- <input id="max_voltage" data-dojo-type="gc.dijit.TextBox" style="z-index: 999; position: absolute; left: 779px; top: 376px; width: 5em;height: 1.5em;"></input> -->
	</body>
</html>
